Query
curl --request POST \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/speed-insights/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"environment": "<string>",
"route": "<string>"
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/speed-insights/query"
payload = {
"from": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"environment": "<string>",
"route": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
environment: '<string>',
route: '<string>'
})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/speed-insights/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"retentionDays": 30,
"summary": {
"score": 50,
"samples": 1,
"vitals": [
{
"metric": "CLS",
"unit": "milliseconds",
"rating": "good",
"samples": 1,
"p75": 123,
"p90": 123,
"p95": 123,
"p99": 123
}
]
},
"series": [
{
"bucket": "2023-11-07T05:31:56Z",
"score": 50,
"samples": 1
}
],
"routes": [
{
"route": "<string>",
"score": 50,
"samples": 1,
"vitals": [
{
"metric": "CLS",
"unit": "milliseconds",
"rating": "good",
"samples": 1,
"p75": 123,
"p90": 123,
"p95": 123,
"p99": 123
}
]
}
]
}speedInsights
Query
Query bounded real-user performance percentiles, experience scores, time buckets, and route summaries.
POST
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
speed-insights
/
query
Query
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Response
Bounded Speed Insights report.